function test_suite = test_allVectorEntriesEqual
initTestSuite;

function testHorizontalEqual
vector = 8*ones(1, 10);
assertTrue(allVectorEntriesEqual(vector))

function testVerticalEqual
vector = 8*ones(10, 1);
assertTrue(allVectorEntriesEqual(vector))

function testHorizontalUnequal
vector = 8*ones(1, 10);
vector(4) = 6;
assertFalse(allVectorEntriesEqual(vector))

function testVerticalUnequal
vector = 8*ones(10, 1);
vector(4) = 6;
assertFalse(allVectorEntriesEqual(vector))

function testEmpty
assertExceptionThrown(@() allVectorEntriesEqual([]), 'Vector:Empty')

