function test_suite = test_processData
    initTestSuite;
    
function testEqualDimensions
    
function testNoNas
    
function testManual
    
% setup input values
    dataAsset1 = [(735467:-1:735464)' [120 117 123 118]'];
    coincidingDates = [1, 3, 4];
    dataAsset2 = dataAsset1(coincidingDates, :);
    
    % convert to cell
    dates1 = cell(numel(dataAsset1(:,1)), 1);
    for ii=1:numel(dataAsset1(:,1))
        dates1{ii} = datestr(dataAsset1(ii, 1), 'yyyy-mm-dd');
    end
    dates2 = cell(numel(dataAsset2(:,1)), 1);
    for ii=1:numel(dataAsset2(:,1))
        dates2{ii} = datestr(dataAsset2(ii, 1), 'yyyy-mm-dd');
    end
    
    % store input values in structure array
    dataStruct(1).Date = dates1;
    dataStruct(1).AdjClose = dataAsset1(:, 2);
    dataStruct(2).Date = dates2;
    dataStruct(2).AdjClose = dataAsset2(:, 2);
    
    % get expected output
    expDates = flipud(dataAsset1(coincidingDates, 1));
    expPrices = flipud(repmat(dataAsset1(coincidingDates, 2), 1, 2));
    
    % get function output
    [dates prices] = processData(dataStruct);
    
    assertEqual(expDates, dates)
    % assertEqual(expPrices, prices)    

    
function testBaselineData
% load baseline test data with 3 assets

% dateBeg = '01012002';
% dateEnd = '01072011';
% daxCompTest = hist_stock_data(dateBeg,dateEnd,'^GDAXI', ...
%                               '^SMSI'); 
    
    load('./data/processData_testData')
    
    % delete some observations to create missing values
    indDeletion = [13; 28; 64; 124; 217];

    daxCompTest(1).Date(indDeletion) = [];
    daxCompTest(1).AdjClose(indDeletion) = [];
    
    % process data via different way
    testData = daxCompTest;
    [intSect, i1, i2] = intersect(testData(1).Date, ...
                                  testData(2).Date, 'stable'); 
    expDates = flipud(datenum(intSect, 'yyyy-mm-dd'));
    
    % get intersecting dates
    prices = [testData(1).AdjClose(i1) testData(2).AdjClose(i2)];
    expPrices = flipud(prices);

    % get function results
    [dates prices] = processData(testData);
    
    assertEqual(dates, expDates);
    assertEqual(prices, expPrices);